-- Drop the trigger if it already exists to avoid errors on re-creation
DROP TRIGGER IF EXISTS Update_game_state_modified_at;

-- Create the trigger to automatically update the modified_at timestamp upon any update to the game_state table
CREATE TRIGGER Update_game_state_modified_at
AFTER UPDATE ON game_state
FOR EACH ROW
BEGIN
    UPDATE game_state SET modified_at = CURRENT_TIMESTAMP WHERE id = OLD.id;
END;
